PATCH
/v1/mgmt/user/patch/batch

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

users?array<PatchUserRequest>

Patch users in batch, using a valid management key.

curl -X PATCH "https://api.descope.com/v1/mgmt/user/patch/batch" \  -H "Content-Type: application/json" \  -d '{}'
{  "patchedUsers": [    {      "loginIds": [        "string"      ],      "userId": "string",      "name": "string",      "email": "string",      "phone": "string",      "verifiedEmail": true,      "verifiedPhone": true,      "roleNames": [        "string"      ],      "userTenants": [        {          "tenantId": "string",          "roleNames": [            "string"          ],          "tenantName": "string",          "permissions": [            "string"          ]        }      ],      "status": "string",      "externalIds": [        "string"      ],      "picture": "string",      "test": false,      "customAttributes": {        "attribute-key": "attribute-value"      },      "createdTime": 0,      "TOTP": false,      "SAML": false,      "OAuth": {        "property1": false,        "property2": false      },      "webauthn": true,      "password": true,      "ssoAppIds": [        "string"      ],      "givenName": "string",      "middleName": "string",      "familyName": "string",      "editable": true,      "SCIM": true,      "push": true,      "permissions": [        "string"      ],      "OIDC": true,      "consentExpiration": 0    }  ],  "failedUsers": [    {      "failure": "string",      "user": {        "loginIds": [          "string"        ],        "userId": "string",        "name": "string",        "email": "string",        "phone": "string",        "verifiedEmail": true,        "verifiedPhone": true,        "roleNames": [          "string"        ],        "userTenants": [          {            "tenantId": "string",            "roleNames": [              "string"            ],            "tenantName": "string",            "permissions": [              "string"            ]          }        ],        "status": "string",        "externalIds": [          "string"        ],        "picture": "string",        "test": false,        "customAttributes": {          "attribute-key": "attribute-value"        },        "createdTime": 0,        "TOTP": false,        "SAML": false,        "OAuth": {          "property1": false,          "property2": false        },        "webauthn": true,        "password": true,        "ssoAppIds": [          "string"        ],        "givenName": "string",        "middleName": "string",        "familyName": "string",        "editable": true,        "SCIM": true,        "push": true,        "permissions": [          "string"        ],        "OIDC": true,        "consentExpiration": 0      }    }  ],  "additionalErrors": {    "property1": "string",    "property2": "string"  }}
export interface Response {patchedUsers?: {loginIds?: string[]userId?: stringname?: stringemail?: stringphone?: stringverifiedEmail?: booleanverifiedPhone?: booleanroleNames?: string[]userTenants?: UserTenants[]status?: stringexternalIds?: string[]picture?: stringtest?: boolean/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}createdTime?: numberTOTP?: booleanSAML?: booleanOAuth?: {[k: string]: boolean}webauthn?: booleanpassword?: booleanssoAppIds?: string[]givenName?: stringmiddleName?: stringfamilyName?: stringeditable?: booleanSCIM?: booleanpush?: booleanpermissions?: string[]OIDC?: booleanconsentExpiration?: number}[]failedUsers?: PatchUserBatchFailureResponse[]additionalErrors?: {[k: string]: string}}export interface UserTenants {tenantId?: stringroleNames?: string[]tenantName?: stringpermissions?: string[]}export interface PatchUserBatchFailureResponse {failure?: stringuser?: {loginIds?: string[]userId?: stringname?: stringemail?: stringphone?: stringverifiedEmail?: booleanverifiedPhone?: booleanroleNames?: string[]userTenants?: UserTenants[]status?: stringexternalIds?: string[]picture?: stringtest?: boolean/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}createdTime?: numberTOTP?: booleanSAML?: booleanOAuth?: {[k: string]: boolean}webauthn?: booleanpassword?: booleanssoAppIds?: string[]givenName?: stringmiddleName?: stringfamilyName?: stringeditable?: booleanSCIM?: booleanpush?: booleanpermissions?: string[]OIDC?: booleanconsentExpiration?: number}}
Was this helpful?